## 0.0.1

This initial release only contains some screens to help learning conjugations by heart in the
present tense. It still has quite some technical debt.

## 0.0.2

This increment focuses on removing some usability bugs, such as buttons in the bottom navigation
bar
that do not always work. They will be replaced by:
a) A home menu button at the top navigation bar
b) A floating action button in screen, but low enough so that it does not cover information on other
screen real estate

The quit button will also disappear as we delegate that to the OS.

## 0.0.3

This increment simplifies the code drastically. The routes have become stateful, so that there is no
unnecessary level of indirection through a form class.

## 0.0.4

Introduction of several ways of studying: next to the cover-up method, we also introduce flash cards
and a widget that allows for typing the right answer in order to train muscle memory.

## 0.0.5

Correction of a bug that only manifested on physical devices: when typing a second letter, the first
letter got overwritten. The feature of the written study mode has now changed: you need to tap the
icon next to your attempt in order to see whether you are doing a good job. When the word is typed
in full, the icon automatically becomes green.

## 0.0.6

### Reducing technical debt:
- Created utilities class for the french pronouns
- Added component tests for Routes

## 0.0.7
- Removed debug banner from all screens

## 0.0.8
Implemented feedback
- Show translation in study screens
- Improved report screen for visually impaired people. Bigger fonts now fit.
- Fixed bug that cuts of long pronouns in de cover method and elsewhere

## 0.0.9
Upgraded Flutter
- Improved testing
- Decoupled Stateful widgets for study modes
- Introduced settings screen

## 0.0.10
Reduced technical debt
- Linter suggestions and code formatting

## 0.0.11
Reduced technical debt
- Made study mode selection stateless
- Implemented settings screen

## 0.0.12
- Improved testability of the settings screen

## 0.0.13
- Introduced Font Awesome
- Implemented cardinality
- Fixed bug in written study mode

## 0.0.14
Ordered verbs alphabetically in the verb selection screen

## 0.0.15
- Introduced search for verb selection
- Made icons for flashcards more intuitive
- Introduced local storage for preferences

## 0.0.16
- fixed issue with testability

## 0.0.17
- decoupled provider widgets from provider framework
- fixed bug for iPod Touch with enlarged font

## 0.0.18
- adapted several screens for use with big zoom

## 1.0.0
Split functionalities for verbomatique primaire and secondaire
- added indicatif imparfait to model
- added conjugation as model
- added verb meta data as model
- possibility to have several tenses for a verb
- layout improvements
- general usage of pronoun field

## 1.0.1
Correction for pronoun decorator

## 1.0.2
Adaptation to allow for other modes than indicatif

## 1.0.3
- Added possibility to select verb per time/mode instead of selecting time/mode per verb
- Show selected conjugation in every screen beyond the selection
- Made dark mode more readable
- Fixed bug that truncated long conjugations in write mode

## 1.0.4
- Fixed bug in test mode (focus back on input field after typing)
- Better layout of input field in test mode
- Adapted conjugation meta data card to avoid overflow

## 1.0.5
- Fixed bug in test mode (focus back on input field after typing, but this time for Android)

## 1.0.6
- Various bugfixes (a.o. for bigger fonts)
- Added ads in non-learning screens

## 1.0.7
- Simplification
- Better test coverage

## 1.0.8
- Introduction of streak counter

## 1.0.9
- Fixed persistence of streak counter

## 1.0.10
- Preloaded ads
- Fixed alignment for flashcards
- Less crowded report screen

## 1.0.11
- scrollable result screen
- fix streak counter screen (overflow with big fonts)
- linter suggestions

## 1.0.12
- code cleanup (tech debt from fixing ads)
- code to sync ad loading with screen loading

## 1.0.13
- further code cleanup
- less crowded verb selection screen
- added new step to select repeating stuff or learning new stuff

## 1.0.14
- bugfix in navigation
- ads for settings screen
- reduced delays on many screens
- setting for streak notifications

## 1.0.15
- temporarily disabled notifications setting widget for Android

## 1.0.16
- re-enabled notifications setting widget for Android