import 'package:cramr_ui_lib/model/verb_test_model.dart';
import 'package:cramr_ui_lib/settings/settings_view.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'learn_or_repeat_route.dart';

/// Generic AppBar delegate for study screens.
class VerbIndicativeStudyFormAppbar {
  AppBar asWidget(BuildContext context) {
    return AppBar(
      key: UniqueKey(),
      leading: IconButton(
          key: const Key('BackKey'),
          onPressed: () {
            Navigator.pop(context);
          },
          icon: const Icon(Icons.arrow_back)),
      title: _titleCell(context),
      actions: [
        _homeIcon(context),
        _settingsIcon(context),
      ],
    );
  }

  IconButton _settingsIcon(BuildContext context) {
    return IconButton(
        key: const Key('settingsButton'),
        icon: const Icon(Icons.settings),
        onPressed: () {
          Navigator.pushNamed(context, SettingsView.routeName);
        });
  }

  Widget _titleCell(BuildContext context) {
    return const Text(
      'Oefen je vervoeging',
      textAlign: TextAlign.center,
    );
  }

  IconButton _homeIcon(BuildContext context) {
    return IconButton(
        key: const Key('home_button'),
        onPressed: () {
          final VerbTestModel testModel =
              Provider.of<VerbTestModel>(context, listen: false);
          testModel.reset();
          Navigator.restorablePopAndPushNamed(
              context, LearnOrRepeatRoute.routeName);
        },
        icon: const Icon(Icons.home));
  }
}
