import 'package:flutter/material.dart';

/// Container for custom themes such as the [lightTheme]
class CustomTheme {
  static ThemeData get lightTheme {
    return ThemeData(
      brightness: Brightness.light,
      primaryColor: const Color(0xFFB0BEC5),
      floatingActionButtonTheme: const FloatingActionButtonThemeData(
        foregroundColor: Color(0xFFFAFAFA),
        backgroundColor: Color(0xFFB0BEC5),
      ),
      elevatedButtonTheme: ElevatedButtonThemeData(
        style: ButtonStyle(
          foregroundColor: MaterialStateProperty.all<Color>(Colors.indigo),
          backgroundColor:
              MaterialStateProperty.all<Color>(Colors.indigoAccent),
        ),
      ),
      fontFamily: 'Roboto',
      textTheme: const TextTheme(
        headline1: TextStyle(
            fontSize: 25,
            fontFamily: 'Roboto',
            fontWeight: FontWeight.w600,
            color: Colors.indigoAccent),
        bodyText1: TextStyle(
            fontSize: 20, fontFamily: 'Roboto', color: Colors.indigoAccent),
        bodyText2: TextStyle(
            fontSize: 15,
            fontFamily: 'Roboto',
            fontWeight: FontWeight.w300,
            color: Colors.indigoAccent),
      ),
      bottomNavigationBarTheme: const BottomNavigationBarThemeData(
        selectedLabelStyle:
            TextStyle(fontFamily: 'Roboto', color: Colors.indigoAccent),
        unselectedLabelStyle:
            TextStyle(fontFamily: 'Roboto', color: Colors.indigoAccent),
        selectedItemColor: Colors.indigoAccent,
        unselectedItemColor: Colors.indigoAccent,
      ),
      colorScheme:
          ColorScheme.fromSwatch().copyWith(secondary: const Color(0xFFB0BEC5)),
    );
  }
}
