import 'package:cramr_ui_lib/model/cardinality_selection.dart';

/// Applies the cardinality filter to a list of pronouns, indicatives, ...
class CardinalityFilter {
  static List<String> filteredList(
      CardinalitySelection selection, List<String> fullList) {
    List<String> result = [];
    if (selection.singularEnabled && selection.pluralEnabled) {
      result = fullList;
    } else if (selection.singularEnabled) {
      for (int i = 0; i < 3; i++) {
        result.add(fullList[i]);
      }
      return result;
    } else {
      for (int i = 3; i < 6; i++) {
        result.add(fullList[i]);
      }
    }
    return result;
  }
}
