/// Decorator utility for pronouns. Introduces apostrophes in French when needed
class PronounDecorator {
  /// In case of French, sometimes pronouns are truncated with an apostrophe.
  static String decoratedPronoun(
      String isoLang, String pronoun, String actual) {
    if ("fr" == isoLang) {
      if ("" != actual &&
          "je" == pronoun &&
          (actual.substring(0, 1) == 'a' ||
              actual.substring(0, 1) == 'e' ||
              actual.substring(0, 1) == 'é' ||
              actual.substring(0, 1) == 'ê' ||
              actual.substring(0, 1) == 'è' ||
              actual.substring(0, 1) == 'i' ||
              actual.substring(0, 1) == 'o' ||
              actual.substring(0, 1) == 'ô' ||
              actual.substring(0, 1) == 'u' ||
              actual.substring(0, 1) == 'h')) {
        return "j'";
      }
    }
    return pronoun;
  }
}
