import 'package:flutter/material.dart';

class StreakCounterWidget extends StatelessWidget {
  const StreakCounterWidget(this._streakCounter, {Key? key}) : super(key: key);

  final int _streakCounter;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.fromLTRB(20, 20, 20, 20),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          _standardRow(_standardText('Je oefende al')),
          _standardRow(CircleAvatar(
              radius: 80,
              child: Text('$_streakCounter',
                  style: const TextStyle(
                      fontSize: 35,
                      color: Colors.blue,
                      fontWeight: FontWeight.bold)))),
          _standardRow(_standardText('dag(en) op rij')),
        ],
      ),
    );
  }

  Widget _standardText(String text) {
    return Text(
      text,
      style: const TextStyle(
          fontSize: 25, color: Colors.blue, fontWeight: FontWeight.bold),
    );
  }

  Widget _standardRow(Widget child) {
    return Padding(
      padding: const EdgeInsets.all(5.0),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [child],
      ),
    );
  }
}
