import 'package:cramr_ui_lib/widgets/delayed_widget_builder.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

main() {
  testWidgets('expect to initially see circular progress indicator',
      (widgetTester) async {
    Key testWidgetKey = const Key('testWidgetKey');
    Text testWidget = Text(key: testWidgetKey, 'data');
    Duration delay = const Duration(milliseconds: 500);
    DelayedWidgetBuilder model =
        DelayedWidgetBuilder(delay: delay, child: testWidget);
    await widgetTester.pumpWidget(MaterialApp(
      home: Scaffold(
        body: model,
      ),
    ));
    Finder testWidgetFinder = find.byKey(testWidgetKey);
    Finder progressIndicatorFinder =
        find.byKey(DelayedWidgetBuilder.progressIndicatorKey);

    // Initially we do not find the widget
    expect(testWidgetFinder, findsNothing);

    // Initially we should find the progressIndicator
    expect(progressIndicatorFinder, findsOneWidget);

    // Wait for a second and see if we no longer see the spinner
    await widgetTester.pumpAndSettle(const Duration(milliseconds: 50));

    // Then we do find the widget
    expect(testWidgetFinder, findsOneWidget);

    // ... and we should no longer find the progressIndicator
    expect(progressIndicatorFinder, findsNothing);
  });
}
