import 'package:cramr_ui_lib/widgets/expected_row.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

final List<String> _randomIndicative = [
  'exp1',
  'exp2',
  'exp3',
  'exp4',
  'exp5',
  'exp6',
];

final List<String> _randomPronouns = [
  'pron1',
  'pron2',
  'pron3',
  'pron4',
  'pron5',
  'pron6',
];

main() {
  testWidgets('Test correct answer', (WidgetTester tester) async {
    const int defaultPerson = 0;
    await tester.pumpWidget(MaterialApp(
      home: ExpectedRow(
        currentPerson: defaultPerson,
        fullPronoun: _randomPronouns[defaultPerson],
        expectedIndicative: _randomIndicative[defaultPerson],
        targetLanguage: 'fr',
      ),
    ));
    Finder pronounFinder = find.text(_randomPronouns[defaultPerson]);
    expect(pronounFinder, findsOneWidget);
    Finder indicativeFinder = find.text(_randomIndicative[defaultPerson]);
    expect(indicativeFinder, findsOneWidget);
  });
}
