import 'package:cramr_ui_lib/widgets/flash_card_stack.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

final List<String> _randomIndicative = [
  'exp1',
  'exp2',
  'exp3',
  'exp4',
  'exp5',
  'exp6',
];

final List<String> _randomPronouns = [
  'pron1',
  'pron2',
  'pron3',
  'pron4',
  'pron5',
  'pron6',
];

main() {
  testWidgets('test the behaviour of the stack for 6 indicative values',
      (WidgetTester tester) async {
    await tester.pumpWidget(MaterialApp(
      home: Scaffold(
        body: FlashCardStack(
          expectedPronouns: _randomPronouns,
          expectedIndicative: _randomIndicative,
          numberOfCards: 6,
        ),
      ),
    ));
    Finder pronoun1Finder = find.text(_randomPronouns[0]);
    expect(pronoun1Finder, findsOneWidget);
    Finder playButtonFinder = find.byKey(const Key('PlayButton'));
    expect(playButtonFinder, findsOneWidget);
    final Finder flashCardSliderFinder =
        find.byKey(const Key('flashcard_slider'));
    expect(flashCardSliderFinder, findsOneWidget);
    //set the slider to 1 second
    await tester.drag(flashCardSliderFinder, const Offset(-90.0, 0.0));

    await tester.tap(playButtonFinder);
    await tester.pump(const Duration(milliseconds: 250));
    await tester.pumpAndSettle(const Duration(milliseconds: 250));
    for (int i = 0; i < 6; i++) {
      await tester.pumpAndSettle(const Duration(milliseconds: 1000));
    }
  });
}
